<?xml version="1.0"?>
<doc>
<assembly>
<name>
JobClient.SettingsManager
</name>
</assembly>
<members>
<member name="M:JF.PlmJobManager.JobClient.Core.SettingsManager_cls.GetSettings">
 <summary>
 Lädt die JobClient Settings
 </summary>
 <returns></returns>
</member>
<member name="M:JF.PlmJobManager.JobClient.Core.SettingsManager_cls.GetJobServerSettings">
 <summary>
 Lädt die JobServer Settings
 </summary>
 <returns></returns>
 <remarks>
 #LUp: 2.1218;22.10.2015;S.Gueth
 #LUp: 3.1464;17.05.2018;S.Gueth
 #LUp: 3.2000;28.10.2024;A.Becker
 #LUp: 3.2000;28.03.2025;S.Gueth
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.Core.SettingsManager_cls.TryGetPLMPerfServerSettings(JF.PlmJobManager.JobServer.SettingsManager.CommandLineArgs_cls,JF.PlmJobManager.JobClient.Core.SettingsManager_cls.PLMPerfServerSettings@)">
 <summary>
 Determines if the JobClient should use the PLMPerf_config.json instead of the ServerSettingsXML.
 If yes, locates the config file and returns a JobServer Settings instance with the configuration from the file.
 The server and port could be overridden by commandline arguments.
 </summary>
 <remarks>
 #New: 3.2000;28.10.2024;A.Becker
 #LUp: 3.2000;28.03.2025;S.Gueth: try reloading if PLMPef json file is not available
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.Core.SettingsManager_cls.LoadPLMPerfServerSettingsFromJsonConfig(JF.PlmJobManager.JobServer.SettingsManager.CommandLineArgs_cls)">
 <summary>
 Get from JSON config
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.Core.SettingsManager_cls.TryGetPLMPerfServerSettingsFromServerArguments(JF.PlmJobManager.JobServer.SettingsManager.CommandLineArgs_cls,JF.PlmJobManager.JobClient.Core.SettingsManager_cls.PLMPerfServerSettings@)">
 <summary>
 Get from plain arguments
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.Core.SettingsManager_cls.ParsePLMPerfServerSettingsHostOrIP(System.String,System.String@,System.String@,System.Int32@)">
 <summary>
 PLMPerf_config.json --> host, ip, port
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.Core.SettingsManager_cls.ParseServerNameOrIP(System.String,System.String@,System.String@)">
 <summary>
 string -> hostname or ip address
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.Core.SettingsManager_cls.GetJobClientSettings(JF.PlmJobManager.JobServer.SettingsManager.Settings_cls,JF.PlmJobManager.JobClient.Core.SettingsManager_cls.PLMPerfServerSettings)">
<remarks>
 #LUp: 3.1488;22.02.2019;S.Gueth: start JobClient in Debug Mode and TestAndDebug Mode
 #LUp: 3.1503;18.03.2021;S.Gueth; added JobMgr_JCAliasName
 #LUp: 3.2000;27.01.2025;A.Becker: using /JobClient_RootL_DP argument for JC local working root
</remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.Core.SettingsManager_cls.GetArgumentValue(System.String)">
 <summary>
 Returns the value of a commandline argument
 </summary>
 <param name="argumentName"></param>
 <returns></returns>
</member>
</members>
</doc>
